#include <fstream>
#include <string>
#include <string.h>
using namespace std;

int main(int argc, char** argv) 
{
	ifstream f("doixung.inp");
	string a;
	f>>a;
	int a.length=k;
	f.close();
	ofstream g("doixung.out");
	for (i=1;i<=k;i++)
	{
		if (a[i]==a[k-i+1])
		g<<1;break;
		else
		g<<0;break;
	}
	return 0;
}
